package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class Ginekologi
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "RM_Ginekologi_M")
public class GinekologiVO extends BaseMasterVO {
	@NotNull(message="Name tidak boleh kosong")
	@Column(name = "Name", nullable = false, length = 100)
	@Caption(value = "Name")
	private String name;
	public void setName(String name)
	{
		this.name = name;
	}
	public String getName()
	{
		 return this.name;
	}


	@NotNull(message="Info tidak boleh kosong")
	@Column(name = "Info", nullable = false, length = 100)
	@Caption(value = "Info")
	private String info;
	public void setInfo(String info)
	{
		this.info = info;
	}
	public String getInfo()
	{
		 return this.info;
	}


	@NotNull(message="InfoMsg tidak boleh kosong")
	@Column(name = "InfoMsg", nullable = false, length = 100)
	@Caption(value = "InfoMsg")
	private String infoMsg;
	public void setInfoMsg(String infoMsg)
	{
		this.infoMsg = infoMsg;
	}
	public String getInfoMsg()
	{
		 return this.infoMsg;
	}



}